#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA772_SU1E
void F1608_VDI_v_opnwk(int16_t* P5371_, int16_t* P5372_, int16_t* P5373_) {
        G3526_VDIParameterBlock.intin = P5371_;
        G3526_VDIParameterBlock.intout = P5373_;
        G3526_VDIParameterBlock.ptsout = P5373_ + 45;
        G3525_VDIPB_contrl[0] = 1;
        G3525_VDIPB_contrl[1] = 0;
        G3525_VDIPB_contrl[3] = 11;
        F1607_CallVDI();
        *P5372_ = G3525_VDIPB_contrl[6];
        G3526_VDIParameterBlock.intin = G3534_VDIPB_intin;
        G3526_VDIParameterBlock.intout = G3535_VDIPB_intout;
        G3526_VDIParameterBlock.ptsout = G3536_VDIPB_ptsout;
        G3526_VDIParameterBlock.ptsin = G3537_VDIPB_ptsin;
}

void F1609_VDI_v_clswk(int16_t P5374_) {
        G3525_VDIPB_contrl[0] = 2;
        G3525_VDIPB_contrl[1] = 0;
        G3525_VDIPB_contrl[3] = 0;
        G3525_VDIPB_contrl[6] = P5374_;
        F1607_CallVDI();
}

void F1610_VDI_v_opnvwk(int16_t* P5375_, int16_t* P5376_, int16_t* P5377_) {
        G3526_VDIParameterBlock.intin = P5375_;
        G3526_VDIParameterBlock.intout = P5377_;
        G3526_VDIParameterBlock.ptsout = P5377_ + 45;
        G3525_VDIPB_contrl[0] = 100;
        G3525_VDIPB_contrl[1] = 0;
        G3525_VDIPB_contrl[3] = 11;
        G3525_VDIPB_contrl[6] = *P5376_;
        F1607_CallVDI();
        *P5376_ = G3525_VDIPB_contrl[6];
        G3526_VDIParameterBlock.intin = G3534_VDIPB_intin;
        G3526_VDIParameterBlock.intout = G3535_VDIPB_intout;
        G3526_VDIParameterBlock.ptsout = G3536_VDIPB_ptsout;
        G3526_VDIParameterBlock.ptsin = G3537_VDIPB_ptsin;
}

void F1611_VDI_v_clsvwk(int16_t P5378_) {
        G3525_VDIPB_contrl[0] = 101;
        G3525_VDIPB_contrl[1] = 0;
        G3525_VDIPB_contrl[3] = 0;
        G3525_VDIPB_contrl[6] = P5378_;
        F1607_CallVDI();
}

void F1612_VDI_v_clrwk(int16_t P5379_) {
        G3525_VDIPB_contrl[0] = 3;
        G3525_VDIPB_contrl[1] = 0;
        G3525_VDIPB_contrl[3] = 0;
        G3525_VDIPB_contrl[6] = P5379_;
        F1607_CallVDI();
}

void F1613_VDI_v_updwk(int16_t P5380_) {
        G3525_VDIPB_contrl[0] = 4;
        G3525_VDIPB_contrl[1] = 0;
        G3525_VDIPB_contrl[3] = 0;
        G3525_VDIPB_contrl[6] = P5380_;
        F1607_CallVDI();
}

int16_t F1614_VDI_vst_load_fonts(int16_t P5381_) {
        G3525_VDIPB_contrl[0] = 0x77;
        G3525_VDIPB_contrl[1] = 0;
        G3525_VDIPB_contrl[3] = 0;
        G3525_VDIPB_contrl[6] = P5381_;
        F1607_CallVDI();
        return G3535_VDIPB_intout[0];
}

void F1615_VDI_vst_unload_fonts(int16_t P5382_) {
        G3525_VDIPB_contrl[0] = 0x78;
        G3525_VDIPB_contrl[1] = 0;
        G3525_VDIPB_contrl[3] = 0;
        G3525_VDIPB_contrl[6] = P5382_;
        F1607_CallVDI();
}

void F1616_VDI_vs_clip(int16_t P5383_, int16_t P5384_, int16_t* P5385_) {
        G3526_VDIParameterBlock.ptsin = P5385_;
        G3534_VDIPB_intin[0] = P5384_;
        G3525_VDIPB_contrl[0] = 0x81;
        G3525_VDIPB_contrl[1] = 2;
        G3525_VDIPB_contrl[3] = 1;
        G3525_VDIPB_contrl[6] = P5383_;
        F1607_CallVDI();
        G3526_VDIParameterBlock.ptsin = G3537_VDIPB_ptsin;
}
#endif
